List All Hives
curl --request GET \
--url https://api.trata.ai/v1/hives \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.trata.ai/v1/hives"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.trata.ai/v1/hives', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "hiv.1727418138.IPGwVl1f",
"orgId": "org.1726902940.GZChqlpU",
"content": {
"hiveType": "WEBSITE",
"url": "https://www.cotekoreansteakhouse.com/",
"hiveProps": {
"crawl_child_pages": true
}
},
"status": "completed",
"createdBy": "org.1726902940.GZChqlpU",
"createdAt": "2024-09-27T06:22:18.000277",
"updatedBy": "trata-system",
"updatedAt": "2024-09-27T06:27:34.276065"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Hive
List All Hives
List All Hives
GET
/
v1
/
hives
List All Hives
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Field name to search by
Value to search for in the specified field
Filter by status
Field to sort by
Sort order (asc or desc)
Available options:
asc, desc Number of records to skip
Required range:
x >= 0Maximum number of records to return
Required range:
1 <= x <= 100